<?php
/******************************************************************************
 *                         Add Item
 *                    ------------------------------
 *   Filename:             additem.php
 *   Project:              Uzzisoft - PHP Business Management System
 *   By:                   Alejandro(Alex) Iannuzzi
 *   Company:              Uzzi Soft
 *   Copyright:            (C) 2004 Uzzi Soft - Alejandro(Alex) Iannuzzi
 *   Website:              http://www.uzzisoft.cjb.net
 *   Email:                alexiannuzzi02@hotmail.com
 *   License:              Freeware
 *   Version:              1.0.0
 *   Build Date:           2004-05-15
 *
 *   If you find bugs/errors/anything else you would like to point to out
 *   to us please feel free to contact us.
 *
 *   What it does:
 *   Checks that user is the items manager and then allows user to add a new
 *   item.
 *
 *****************************************************************************/
?>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<title>Add Item</title>
</head>
<body>

<?php
  $time = time();

  // Check if there is a cookie, if there isn't then redirect to login screen
  if (!isset($_COOKIE['cookie_info'])) {
      include ("index.htm");
      exit;
  }

  // If there is a cookie, validate the cookie
  else {

      // Use Connect Script
      include("connect.php");

      // Include the validation of user file
      include("validateuser.php");

      // If user and password are correct
      if (validateuser() == true) {

          // Header
          include("header.php");
          login();

          // Use cookie and Extract the cookie data (Username and Password)
          $cookie_info = explode("-", $_COOKIE['cookie_info']);
          $namecookie = $cookie_info[0];
          $passcookie = $cookie_info[1];

          // Get username from Database and it in a variable
          $query = mysql_query("SELECT * FROM userdata WHERE userid = '$namecookie'");
          $nameuser = mysql_result($query,0,13);

  // Check the level of the user
  $checklevel = mysql_query("SELECT * FROM userdata WHERE userid = '$namecookie'");
  $checklevel1 = mysql_result($checklevel,0,14);

  // If the user is the items manager
  if ($checklevel1 == 3) {

      echo "<b><center><font face='Verdana'>Add Item</font></b></center></p>";
?>

<form action="additem.php" method="POST">
<table border="0" width="100%" id="table4" height="117">
        <tr>
                <td width="268" height="24">&nbsp;</td>
                <td height="24"> <font face="Verdana">Item ID:</font></td>
                <td width="187" height="24"> <input type="text" name="itemid"/></td>
                <td width="376" height="24">
                                &nbsp;</td>
        </tr>
        <tr>
                <td width="268" height="24">&nbsp;</td>
                <td height="24"> <font face="Verdana">Description:</font></td>
                <td width="187" height="24"> <input type="text" name="description"/></td>
                <td width="376" height="24"> &nbsp;</td>
        </tr>
        <tr>
                <td width="268">&nbsp;</td>
                <td> <font face="Verdana">Stock:</font></td>
                <td width="187">
                <input type="text" name="stock"/></td>
                <td width="376">
                &nbsp;</td>
        </tr>
        <tr>
                <td width="268">&nbsp;</td>
                <td> <font face="Verdana">Item Tax:</font></td>
                <td width="187">
                <input type="text" name="itemtax"/></td>
                <td width="376">
                &nbsp;</td>
        </tr>
        <tr>
                <td width="268">&nbsp;</td>
                <td> <font face="Verdana">Item Price:</font></td>
                <td width="187">
                <input type="text" name="itemprice"/></td>
                <td width="376">
                &nbsp;</td>
        </tr>
        <tr>
                <td width="268" height="35">&nbsp;</td>
                <td height="35"> &nbsp;</td>
                <td height="35" width="187">
 <input type="hidden" name="check" value="1">
 <input type="submit" value="Add Item">
 <input type="reset" value="Reset"></form> </tr>
                <td height="35" width="376">
                        &nbsp;</td>

        </tr>
        </table>

<?php

  $itemid = $_POST["itemid"];            // Item ID
  $description = $_POST["description"];  // Item Description
  $stock = $_POST["stock"];              // Item Stock
  $itemtax = $_POST["itemtax"];          // Item Tax
  $itemprice = $_POST["itemprice"];      // Item Price
  $check = $_POST["check"];              // Check to see if user hit submit

  // Check if user actually pressed submit
  if ($check == 1) {

      // Check if each section has been completed
      if ((!$itemid) || (!$description) || (!$stock) || (!$itemtax) || (!$itemprice)) {
          echo "<br><center><font face='Verdana'>";
          if (!$itemid) {
              echo "Enter the Item ID<br>";
          }
          if (!$description) {
              echo "Enter the Item Description<br>";
          }
          if (!$stock) {
              echo "Enter the Item Stock<br>";
          }
          if (!$itemtax) {
              echo "Enter the Item Tax<br>";
          }
          if (!$itemprice) {
              echo "Enter the Item Price<br>";
          }
          exit(); // If there are errors then we quit this script
      }

      // Check to see if item is already in database
      $checkitem = mysql_query("SELECT * FROM items WHERE itemno = '$itemid'");
      $checkitem1 = mysql_num_rows($checkitem);

      // If item is not already in database
      if ($checkitem1 == 0) {

          // Check that Stock, Item Tax and Item Price are numeric
          if ((!is_numeric($stock)) || (!is_numeric($itemtax)) || (!is_numeric($itemtax))) {
              echo "<br><center><font face='Verdana'>";
              if ((!is_numeric($stock))) {
                  echo "Please enter a numeric Stock<br>";
              }
              if ((!is_numeric($itemtax))) {
                  echo "Please enter a numeric Item Tax<br>";
              }
              if ((!is_numeric($itemprice))) {
                  echo "Please enter a numeric Item Price<br>";
              }
              exit();
          }

          // Insert item into database
          mysql_query("INSERT INTO items VALUES ('$itemid','$description','$stock','$itemtax','$itemprice')");

          echo "<br><center><font face='Verdana'>Item $itemid has been added</center></font>";
      }
      else {
          echo "<br><center><font face='Verdana'>Item $itemid already exists</center></font>";
      }
  }
  }
     // If user and password are not correct print error message
      }
      else {
          echo "Incorrect username/password";
          exit;
      }
  }

?>

</body>
</html>