<?php
/******************************************************************************
 *                         Create User
 *                    ------------------------------
 *   Filename:             createuser.php
 *   Project:              Uzzisoft - PHP Business Management System
 *   By:                   Alejandro(Alex) Iannuzzi
 *   Company:              Uzzi Soft
 *   Copyright:            (C) 2004 Uzzi Soft - Alejandro(Alex) Iannuzzi
 *   Website:              http://www.uzzisoft.cjb.net
 *   Email:                alexiannuzzi02@hotmail.com
 *   License:              Freeware
 *   Version:              1.0.0
 *   Build Date:           2004-05-15
 *
 *   If you find bugs/errors/anything else you would like to point to out
 *   to us please feel free to contact us.
 *
 *   What it does:
 *   Checks if user is the admin and then allows user to create a staff.
 *
 *****************************************************************************/
?>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<title>Create New User</title>
</head>

<?php

  $time = time();

  // Check if there is a cookie, if there isn't then exit!
  if (!isset($_COOKIE['cookie_info'])) {
      echo "Cannot access this page: You aren't logged in";
      exit;
  }

  // If there is a cookie, validate the cookie
  else {

      // Use Connect Script
      include("connect.php");

      // Include the validation of user file
      include("validateuser.php");

      // If user and password are correct
      if (validateuser() == true) {

          // Header
          include("header.php");
          login();

          // Use cookie and Extract the cookie data (Username and Password)
          $cookie_info = explode("-", $_COOKIE['cookie_info']);
          $namecookie = $cookie_info[0];
          $passcookie = $cookie_info[1];

  // Check the level of the user
  $checklevel = mysql_query("SELECT * FROM userdata WHERE userid = '$namecookie'");
  $checklevel1 = mysql_result($checklevel,0,14);

  // If the user is the admin
  if ($checklevel1 == 1) {
?>

<b><center><font face="Verdana">Add Staff</font></b></center></p>
<form action="createnewuser.php" method="POST">
<table border="0" width="100%" id="table1" height="321">
        <tr>
                <td width="300">&nbsp;</td>
                <td width="144"><font face="Verdana">Username:</font></td>
                <td> <input type="text" name="user" maxlength="15"/></td>
        </tr>
        <tr>
                <td width="300">&nbsp;</td>
                <td width="144"><font face="Verdana">Password:</font></td>
                <td> <input type="password" name="pass" maxlength="15" /></td>
        </tr>
        <tr>
                <td width="300">&nbsp;</td>
                <td width="144"><font face="Verdana">Name:</font></td>
                <td> <input type="text" name="name" /></td>
        </tr>
        <tr>
                <td width="300">&nbsp;</td>
                <td width="144"><font face="Verdana">Address:</font></td>
                <td> <input type="text" name="address" /></td>
        </tr>
        <tr>
                <td width="300">&nbsp;</td>
                <td width="144"><font face="Verdana">Suburb/City:</font></td>
                <td> <input type="text" name="suburb" /></td>
        </tr>
        <tr>
                <td width="300">&nbsp;</td>
                <td width="144"><font face="Verdana">State:</font></td>
                <td> <input type="text" name="state" /></td>
        </tr>
        <tr>
                <td width="300">&nbsp;</td>
                <td width="144"><font face="Verdana">Postcode:</font></td>
                <td> <input type="text" name="postcode" maxlength="4"/></td>
        </tr>
        <tr>
                <td width="300">&nbsp;</td>
                <td width="144"><font face="Verdana">Phone #1:</font></td>
                <td> <input type="text" name="phone1" maxlength="10"/></td>
        </tr>
        <tr>
                <td width="300">&nbsp;</td>
                <td width="144"><font face="Verdana">Phone #2</font></td>
                <td> <input type="text" name="phone2" maxlength="10"/></td>
        </tr>
        <tr>
                <td width="300">&nbsp;</td>
                <td width="144"><font face="Verdana">Email Address:</font></td>
                <td> <input type="text" name="email" /></td>
        </tr>
        <tr>
                <td width="300" height="44">&nbsp;</td>
                <td width="144" height="44">&nbsp;</td>
                <td height="44"> <input type="submit" value="Create User">
 <input type="reset" value="Reset"></td>
        </tr>
        </table>
</form>
<?php
  }
     // If user and password are not correct print error message
     }
     else {
         echo "Incorrect username/password";
         exit;
     }
  }
?>

</body>
</html>