<?php
/******************************************************************************
 *                        Password Changed
 *                    ------------------------------
 *   Filename:             passwordchanged.php
 *   Project:              Uzzisoft - PHP Business Management System
 *   By:                   Alejandro(Alex) Iannuzzi
 *   Company:              Uzzi Soft
 *   Copyright:            (C) 2004 Uzzi Soft - Alejandro(Alex) Iannuzzi
 *   Website:              http://www.uzzisoft.cjb.net
 *   Email:                alexiannuzzi02@hotmail.com
 *   License:              Freeware
 *   Version:              1.0.0
 *   Build Date:           2004-05-15
 *
 *   If you find bugs/errors/anything else you would like to point to out
 *   to us please feel free to contact us.
 *
 *   What it does:
 *   Changes the password of the user.
 *
 *****************************************************************************/

  $time = time();

  // Check if there is a cookie, if there isn't then exit!
  if (!isset($_COOKIE['cookie_info'])) {
      echo "Cannot access this page: You aren't logged in";
      exit;
  }

  // If there is a cookie, validate the cookie
  else {

      // Use Connect Script
      include("connect.php");

      // Include the validation of user file
      include("validateuser.php");

      // If user and password are correct
      if (validateuser() == true) {

          // Use cookie and Extract the cookie data (Username and Password)
          $cookie_info = explode("-", $_COOKIE['cookie_info']);
          $namecookie = $cookie_info[0];
          $passcookie = $cookie_info[1];

          // Variables that data come from the form
          $oldpass =  $_POST["oldpassword"];
          $newpass = $_POST["newpassword"];
          $newpassagain = $_POST["newpasswordagain"];

          // Check if each section has been completed
          if ((!$oldpass) || (!$newpass) || (!$newpassagain)) {
              echo "You didn't submit the following required information:<br><br>";
              if(!$oldpass) {
                  echo "Please enter your old password<br>";
              }
              if(!$newpass) {
                  echo "Please enter your new password<br>";
              }
              if(!$newpassagain) {
                  echo "Please enter your new password again<br>";
              }

              exit(); // If there are errors then we quit this script
          }

          // MD5 old pass
          $oldpass = MD5($oldpass);

          // Get details of user from Database and put them in variables
          $query = mysql_query("SELECT * FROM userdata WHERE userid = '$namecookie'");
          $oldpassdatabase = mysql_result($query,0,1);

          // Compare variables and update new variables to database if changed
          $checkoldpassword = strcmp($oldpass,$oldpassdatabase);
          $checknewpassmatch = strcmp($newpass,$newpassagain);

          // Check if old passwords match
          if ($checkoldpassword !=0) {
              echo "Old Password doesn't match<BR>";
              exit();
          }

          // Check that new passwords match!
          if ($checknewpassmatch !=0) {
              echo "New Passwords don't match! <br>";
              exit();
          }

          // MD5 the new password
          $newpass = MD5($newpass);

          // Update new password if changed
          mysql_query ("UPDATE userdata SET userpass = '$newpass' WHERE userid = '$namecookie'");

          // Delete cookie
          if (isset($_COOKIE['cookie_info'])) {
              setcookie ("cookie_info", "", $time - 3600);
          }

          echo "Password Changed - You are now logged out. <a href='index.htm'>Click here to login in again.</a><BR>";
?>

<?php

     // If user and password are not correct print error message
     }
     else {
         echo "Incorrect username/password";
         exit;
     }
  }
?>