<?php
/******************************************************************************
 *                         Modify User
 *                    ------------------------------
 *   Filename:             modiftyuser.php
 *   Project:              Uzzisoft - PHP Business Management System
 *   By:                   Alejandro(Alex) Iannuzzi
 *   Company:              Uzzi Soft
 *   Copyright:            (C) 2004 Uzzi Soft - Alejandro(Alex) Iannuzzi
 *   Website:              http://www.uzzisoft.cjb.net
 *   Email:                alexiannuzzi02@hotmail.com
 *   License:              Freeware
 *   Version:              1.0.0
 *   Build Date:           2004-05-15
 *
 *   If you find bugs/errors/anything else you would like to point to out
 *   to us please feel free to contact us.
 *
 *   What it does:
 *   Checks to see if the user is the admin and allows user to modify a
 *   staff's details.
 *
 *****************************************************************************/
?>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<title>Staff Details</title>
</head>
<body>

<?php

  $time = time();

  // Check if there is a cookie, if there isn't then redirect to login screen
  if (!isset($_COOKIE['cookie_info'])) {
      include ("index.htm");
      exit;
  }

  // If there is a cookie, validate the cookie
  else {

      // Use Connect Script
      include("connect.php");

      // Include the validation of user file
      include("validateuser.php");

      // If user and password are correct
      if (validateuser() == true) {

          // Header
          include("header.php");
          login();

          // Use cookie and Extract the cookie data (Username and Password)
          $cookie_info = explode("-", $_COOKIE['cookie_info']);
          $namecookie = $cookie_info[0];
          $passcookie = $cookie_info[1];

          // Get username from Database and it in a variable
          $query = mysql_query("SELECT * FROM userdata WHERE userid = '$namecookie'");
          $nameuser = mysql_result($query,0,13);

  // Check the level of the user
  $checklevel = mysql_query("SELECT * FROM userdata WHERE userid = '$namecookie'");
  $checklevel1 = mysql_result($checklevel,0,14);

  // If the user is the admin
  if ($checklevel1 == 1) {

      echo "<b><center><font face='Verdana'>Modify Staff Details</font></b></center></p>";

      $selectstaff = $_POST["selectuser"]; // Staff selected to modify
?>

<form action="modifyuser.php" method="POST">
<table border="0" width="100%" id="table4" height="117">
        <tr>
                <td width="268" height="33">&nbsp;</td>
                <td height="33"> <font face="Verdana">User ID:</font></td>
                <td width="187" height="33">
                <select size="1" name="selectuser">
<?php
  // Get all the usernames from the database and allow user to choose one
  $users = mysql_query("SELECT * FROM userdata");
  $users1 = mysql_num_rows($users);
  for ($x = 0; $x < $users1; $x++) {
          $username1= mysql_result($users,$x,13);
?>
           <option><?php echo "$username1"; ?> </option>
<?php
  }
?>
                </select>
                </td>
                </tr>
        <tr>
                <td width="268" height="45">&nbsp;</td>
                <td height="45"> &nbsp;</td>
                <td height="45" width="187">
                <input type="submit" value="Select Staff">
                <input type="reset" value="Reset"></form> </tr>
                <td height="45" width="376">&nbsp;</td>
        </tr>
</table>

<form action="modifyuserupdated.php" method="POST">

<?php
  }
  // If there was a staff to modify selected
  if ($selectstaff) {

      // Get details of user from Database and put them in variables
      $query = mysql_query("SELECT * FROM userdata WHERE username = '$selectstaff'");
      $name = mysql_result($query,0,2);          // Name
      $address = mysql_result($query,0,3);       // Address
      $suburb = mysql_result($query,0,4);        // Suburb
      $state = mysql_result($query,0,5);         // State
      $postcode = mysql_result($query,0,6);      // Postcode
      $phone1 = mysql_result($query,0,7);        // Phone Number 1
      $phone2 = mysql_result($query,0,8);        // Phone Number 2
      $emailaddress = mysql_result($query,0,9);  // Email Address
      $joineddate = mysql_result($query,0,10);   // Joined Date
      $ipaddress = mysql_result($query,0,11);    // IP Address

      // Display User Details
      echo "
      <table border='0' width='100%' id='table1' height='348'>
        <tr>
                <td width='303' height='25'>&nbsp;</td>
                <td width='152' height='25'><font face='Tahoma'>Username:</td>
                <td height='25'> <font face='Tahoma'>$selectstaff</font></td>
                <input type='hidden' name='selectstaff' value='$selectstaff'/>
        </tr>
        <tr>
                <td width='303'>&nbsp;</td>
                <td width='152'><font face='Tahoma'>Name:</font></td>
                <td> <input type='text' name='name' value='$name'/></td>
        </tr>
        <tr>
                <td width='303'>&nbsp;</td>
                <td width='152'><font face='Tahoma'>Address:</font></td>
                <td> <input type='text' name='address' value='$address' /></td>
        </tr>
        <tr>
                <td width='303'>&nbsp;</td>
                <td width='152'><font face='Tahoma'>Suburb/City:</font></td>
                <td> <input type='text' name='suburb' value='$suburb' /></td>
        </tr>
        <tr>
                <td width='303'>&nbsp;</td>
                <td width='152'><font face='Tahoma'>State:</font></td>
                <td> <input type='text' name='state' value='$state' /></td>
        </tr>
        <tr>
                <td width='303'>&nbsp;</td>
                <td width='152'><font face='Tahoma'>Postcode:</font></td>
                <td> <input type='text' name='postcode' maxlength='4' value='$postcode'/></td>
        </tr>
        <tr>
                <td width='303'>&nbsp;</td>
                <td width='152'><font face='Tahoma'>Phone #1:</font></td>
                <td> <input type='text' name='phone1' maxlength='10' value='$phone1'/></td>
        </tr>
        <tr>
                <td width='303' height='24'>&nbsp;</td>
                <td width='152' height='24'><font face='Tahoma'>Phone #2:</font></td>
                <td height='24'> <input type='text' name='phone2' maxlength='10' value='$phone2'/></td>
        </tr>
        <tr>
                <td width='303'>&nbsp;</td>
                <td width='152'><font face='Tahoma'>Email Address:</font></td>
                <td> <input type='text' name='email'  value='$emailaddress'/></td>
        </tr>
        <tr>
                <td width='303' height='24'>&nbsp;</td>
                <td width='152' height='24'><font face='Tahoma'>Joined Date:</font></td>
                <td height='24'> <font face='Tahoma'>$joineddate </font></td>
        </tr>
        <tr>
                <td width='303' height='50'>&nbsp;</td>
                <td width='152' height='50'>&nbsp;</td>
                <td height='50'> <input type='submit' value='Update Details'>
                <input type='reset' value='Reset'></td>
        </tr>
      </table>";

  }

      // If user and password are not correct print error message
      }
      else {
          echo "Incorrect username/password";
          exit;
      }
  }

?>
</form>

</body>
</html>