<?php
/******************************************************************************
 *                         Sales Figures
 *                    ------------------------------
 *   Filename:             salesfigures.php
 *   Project:              Uzzisoft - PHP Business Management System
 *   By:                   Alejandro(Alex) Iannuzzi
 *   Company:              Uzzi Soft
 *   Copyright:            (C) 2004 Uzzi Soft - Alejandro(Alex) Iannuzzi
 *   Website:              http://www.uzzisoft.cjb.net
 *   Email:                alexiannuzzi02@hotmail.com
 *   License:              Freeware
 *   Version:              1.0.0
 *   Build Date:           2004-05-15
 *
 *   If you find bugs/errors/anything else you would like to point to out
 *   to us please feel free to contact us.
 *
 *   What it does:
 *   Checks to see if the user is admin or staff.
 *   If admin: allows user to select a staff and type in a from and to date and
 *   returns that staff's sales through-out that period
 *   If staff: allows user to type in a from and to date and
 *   returns that staff's sales through-out that period
 *
 *****************************************************************************/
?>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<title>Sales Figures</title>
</head>
<body>

<?php
  $time = time();

  // Check if there is a cookie, if there isn't then redirect to login screen
  if (!isset($_COOKIE['cookie_info'])) {
      include ("index.htm");
      exit;
  }

  // If there is a cookie, validate the cookie
  else {

      // Use Connect Script
      include("connect.php");

      // Include the validation of user file
      include("validateuser.php");

      // If user and password are correct
      if (validateuser() == true) {

          // Header
          include("header.php");
          login();

          // Use cookie and Extract the cookie data (Username and Password)
          $cookie_info = explode("-", $_COOKIE['cookie_info']);
          $namecookie = $cookie_info[0];
          $passcookie = $cookie_info[1];

          // Get username from Database and it in a variable
          $query = mysql_query("SELECT * FROM userdata WHERE userid = '$namecookie'");
          $nameuser = mysql_result($query,0,13);

  $usernamereal = $nameuser; // Change variable names

  // Check the level of the user
  $checklevel = mysql_query("SELECT * FROM userdata WHERE userid = '$namecookie'");
  $checklevel1 = mysql_result($checklevel,0,14);

  // If the user is staff
  if ($checklevel1 == 2) {

      echo "<b><center><font face='Verdana'>My Sales Figures</font></b></center></p>";
?>
<form action="salesfigures.php" method="POST">
<table border="0" width="100%" id="table4" height="117">
  <tr>
      <td width="249" height="33">&nbsp;</td>
      <td height="33"> <font face="Verdana">From Date:</font></td>
      <td width="176" height="33"> <input type="text" name="fromdate"/></td>
      <td width="431" height="33"> &nbsp;</td>
  </tr>
  <tr>
      <td width="249">&nbsp;</td>
      <td> <font face="Verdana">To Date:</font></td>
      <td width="176"><input type="text" name="todate"/></td>
      <td width="431">&nbsp;</td>
  </tr>
  <tr>
      <td width="249" height="45">&nbsp;</td>
      <td height="45"> &nbsp;</td>
      <td height="45" width="176"><input type="submit" value="Check Sales">
      <input type="reset" value="Reset"></form> </tr>
      <td height="45" width="431">&nbsp;</td>
  </tr>
</table>

<?php
  }

  // If the user is the admin
  if ($checklevel1 == 1) {

      echo "<b><center><font face='Verdana'>Staff Sales Figures</font></b></center></p>";
?>

<form action="salesfigures.php" method="POST">
<table border="0" width="100%" id="table4" height="117">
        <tr>
                <td width="268" height="33">&nbsp;</td>
                <td height="33"> <font face="Verdana">User ID:</font></td>
                <td width="187" height="33">
                <select size="1" name="selectuser">
<?php
  // Get all the staff from the database and allow user to choose one
  $users = mysql_query("SELECT * FROM userdata");
  $users1 = mysql_num_rows($users);
  for ($x = 0; $x < $users1; $x++) {
          $username1= mysql_result($users,$x,13);
?>
           <option><?php echo "$username1"; ?> </option>
<?php
  }
?>
                </select>
                </td>
                <td width="376" height="33"> &nbsp;</td>
        </tr>
        <tr>
                <td width="268" height="33">&nbsp;</td>
                <td height="33"> <font face="Verdana">From Date:</font></td>
                <td width="187" height="33"> <input type="text" name="fromdate"/></td>
                <td width="376" height="33"> &nbsp;</td>
        </tr>
        <tr>
                <td width="268">&nbsp;</td>
                <td> <font face="Verdana">To Date:</font></td>
                <td width="187">
                <input type="text" name="todate"/></td>
                <td width="376">
                &nbsp;</td>
        </tr>
        <tr>
                <td width="268" height="45">&nbsp;</td>
                <td height="45"> &nbsp;</td>
                <td height="45" width="187">
                <input type="submit" value="Check Sales">
                <input type="reset" value="Reset"></form> </tr>
                <td height="45" width="376">&nbsp;</td>
        </tr>
</table>

<?php
  }

  $fromdate = $_POST["fromdate"];
  $todate = $_POST["todate"];

  // If the user is the admin then get the selected staff
  if ($checklevel1 == 1) {
      $usernamereal = $_POST["selectuser"];
  }

  // Check that username exists in sales table
  $checkperson = mysql_query("SELECT * FROM sales WHERE salesperson = '$usernamereal'");
  $checkperson1 = mysql_num_rows($checkperson);

  // If sales person has made a sale or more
  if ($checkperson1 >= 1) {

      // Tokenize the string (from date)
      $a = 0;
      $tok = strtok($fromdate,"-");
      while ($tok) {
          $fromdate1[$a]=$tok;
          $tok = strtok("- ");
          $a++;
      }

      // Tokenize the string (to date)
      $a = 0;
      $tok = strtok($todate,"-");
      while ($tok) {
          $todate1[$a]=$tok;
          $tok = strtok("- ");
          $a++;
      }

      echo "<table border='1' id='table2' width='100%' cellspacing='0' bordercolorlight='#000000'>
      <tr>
          <td width='9%' align='left'><b><font face='Verdana' size='2'>Invoice No</font></b></td>
          <td width='8%' align='left'><b><font face='Verdana' size='2'>Item ID</font></b></td>
          <td width='44%' align='left'><b><font face='Verdana' size='2'>Description</font></b></td>
          <td width='8%' align='left'><b><font face='Verdana' size='2'>Quantity</font></b></td>
          <td align='left' width='12%'><b><font face='Verdana' size='2'>Payment Type</font></b></td>
          <td align='left' width='6%'><b><font face='Verdana' size='2'>Price</font></b></td>
          <td width='11%' align='left'><b><font face='Verdana' size='2'>Total Price</font></b></td>
      </tr>";

      // Loop all the sales made by the staff
      for ($x = 0; $x < $checkperson1; $x++) {
          $thedate = mysql_result($checkperson,$x,1); // Date of sale
          $amount = mysql_result($checkperson,$x,8);  // Amount of sale

          // Tokenize the string (date of sale)
          $a = 0;
          $tok = strtok($thedate,"-");
          while ($tok) {
                 $tokens[$a]=$tok;
                 $tok = strtok("- ");
                 $a++;
          }

          // If the sale fits the from and to date period
          if (($fromdate1[0] <= $tokens[0]) && ($tokens[0] <= $todate1[0]) &&
          ($fromdate1[1] <= $tokens[1]) && ($tokens[1] <= $todate1[1]) &&
          ($fromdate1[2] <= $tokens[2]) && ($tokens[2] <= $todate1[2])) {

              // Get the sales details
              $invoiceno = mysql_result($checkperson,$x,0);
              $paymenttype = mysql_result($checkperson,$x,3);
              $itemid = mysql_result($checkperson,$x,4);
              $description = mysql_result($checkperson,$x,5);
              $quantity = mysql_result($checkperson,$x,6);
              $price = mysql_result($checkperson,$x,7);

              // Print out the sales details
              echo "<tr>
                        <td width='9%' align='left'><font face='Verdana' size='2'>$invoiceno</font></td>
                        <td width='8%' align='left'><font face='Verdana' size='2'>$itemid</font></td>
                        <td width='44%' align='left'><font face='Verdana' size='2'>$description</font></td>
                        <td width='8%' align='left'><font face='Verdana' size='2'>$quantity</font></td>
                        <td align='left' width='12%'><font face='Verdana' size='2'>$paymenttype</font></td>
                        <td align='left' width='6%'><font face='Verdana' size='2'>$price</font></td>
                        <td width='11%' align='left'><font face='Verdana' size='2'>$amount</font></td>
                    </tr>";

              // Add sale amount to total sales amount      
              $totalamount = $totalamount + $amount;
          }
      }

      // Print the total of all the sales
      echo "<tr>
                <td align='left' colspan='6'><b><font size='2' face='Verdana'>Total</font></b></td>
                <td width='11%' align='left'><font face='Verdana' size='2'>$totalamount</font></td>
            </tr>
            </table>
            </div>";
  }

      // If user and password are not correct print error message
      }
      else {
          echo "Incorrect username/password";
          exit;
      }
  }

?>

</body>
</html>