<?php
/******************************************************************************
 *                         User Updated
 *                    ------------------------------
 *   Filename:             userupdated.php
 *   Project:              Uzzisoft - PHP Business Management System
 *   By:                   Alejandro(Alex) Iannuzzi
 *   Company:              Uzzi Soft
 *   Copyright:            (C) 2004 Uzzi Soft - Alejandro(Alex) Iannuzzi
 *   Website:              http://www.uzzisoft.cjb.net
 *   Email:                alexiannuzzi02@hotmail.com
 *   License:              Freeware
 *   Version:              1.0.0
 *   Build Date:           2004-05-15
 *
 *   If you find bugs/errors/anything else you would like to point to out
 *   to us please feel free to contact us.
 *
 *   What it does:
 *   Updates the users details from the form.
 *
 *****************************************************************************/
?>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<title>User Updated</title>
</head>

<?php

  $time = time();

  // Check if there is a cookie, if there isn't then exit!
  if (!isset($_COOKIE['cookie_info'])) {
      echo "Cannot access this page: You aren't logged in";
      exit;
  }

  // If there is a cookie, validate the cookie
  else {

      // Use Connect Script
      include("connect.php");

      // Include the validation of user file
      include("validateuser.php");

      // If user and password are correct
      if (validateuser() == true) {

          // Header
          include("header.php");
          login();

          // Use cookie and Extract the cookie data (Username and Password)
          $cookie_info = explode("-", $_COOKIE['cookie_info']);
          $namecookie = $cookie_info[0];
          $passcookie = $cookie_info[1];

          // Variables that data come from the form
          $name1 =  $_POST["name"];          // Name
          $address1 = $_POST["address"];     // Address
          $suburb1 = $_POST["suburb"];       // Suburb
          $state1 = $_POST["state"];         // State
          $postcode1 = $_POST["postcode"];   // Postcode
          $phone11 = $_POST["phone1"];       // Phone Number 1
          $phone21 = $_POST["phone2"];       // Phone Number 2
          $emailaddress1 = $_POST["email"];  // Email Address

          // Check if each section has been completed
          if ((!$name1) || (!$address1) || (!$suburb1) || (!$state1) || (!$postcode1) || (!$phone11) || (!$phone21) || (!$emailaddress1)) {
              echo "You didn't submit the following required information to Update your information:<br><br>";
              if(!$name1) {
                  echo "Please enter your new name<br>";
              }
              if(!$address1) {
                  echo "Please enter your new address<br>";
              }
              if(!$suburb1) {
                  echo "Please enter your new suburb<br>";
              }
              if(!$state1) {
                  echo "Please enter your new state<br>";
              }
              if(!$postcode1) {
                  echo "Please enter your new postcode<br>";
              }
              if(!$phone11) {
                  echo "Please enter your new phone number 1<br>";
              }
              if(!$phone21) {
                  echo "Please enter your new phone number 2<br>";
              }
              if(!$emailaddress1) {
                  echo "Please enter your new email address<br>";
              }
              exit();
          }

          // Check if postcode is numeric
          if ((!is_numeric($postcode1))) {
              echo "Please enter a 4 digit postcode";
              exit();
          }

          // Check if phone number 1 is numeric
          if ((!is_numeric($phone11))) {
              echo "Please enter a 10 digit phone number for phone number 1";
              exit();
          }

          // Check if phone number 2 is numeric
          if ((!is_numeric($phone21))) {
              echo "Please enter a 10 digit phone number for phone number 2";
              exit();
          }

          // Get details of user from Database and put them in variables
          $query = mysql_query("SELECT * FROM userdata WHERE userid = '$namecookie'");
          $nameuser = mysql_result($query,0,13);     // Username
          $name = mysql_result($query,0,2);          // Name
          $address = mysql_result($query,0,3);       // Address
          $suburb = mysql_result($query,0,4);        // Suburb
          $state = mysql_result($query,0,5);         // State
          $postcode = mysql_result($query,0,6);      // Postcode
          $phone1 = mysql_result($query,0,7);        // Phone Number 1
          $phone2 = mysql_result($query,0,8);        // Phone Number 2
          $emailaddress = mysql_result($query,0,9);  // Email Address

          // Compare variables and update new variables to database if changed
          $changename = strcmp($name1,$name);
          $changeaddress = strcmp($address1,$address);
          $changesuburb = strcmp($suburb1,$suburb);
          $changestate = strcmp($state1,$state);
          $changepostcode = strcmp($postcode1,$postcode);
          $changephone1 = strcmp($phone11,$phone1);
          $changephone2 = strcmp($phone21,$phone2);
          $changeemailaddress = strcmp($emailaddress1,$emailaddress);

          // Update new Variables to database if they are not 0 which means they changed
          echo "<center>";
          if ($changename != 0) { echo "Name Updated<BR>";
              // Insert new value to database
              mysql_query ("UPDATE userdata SET name = '$name1' WHERE userid = '$namecookie'");
              $name = $name1; // Update old value on this page
          }
          if ($changeaddress != 0) { echo "Address Updated<BR>";
              mysql_query ("UPDATE userdata SET address = '$address1' WHERE userid = '$namecookie'");
              $address = $address1;
          }
          if ($changesuburb != 0) { echo "Suburb Updated<BR>";
              mysql_query ("UPDATE userdata SET suburb = '$suburb1' WHERE userid = '$namecookie'");
              $suburb = $suburb1;
          }
          if ($changestate != 0) { echo "State Updated<BR>";
              mysql_query ("UPDATE userdata SET state = '$state1' WHERE userid = '$namecookie'");
              $state = $state1;
          }
          if ($changepostcode != 0) { echo "Postcode Updated<BR>";
              mysql_query ("UPDATE userdata SET postcode = '$postcode1' WHERE userid = '$namecookie'");
              $postcode = $postcode1;
          }
          if ($changephone1 != 0) { echo "Phone #1 Updated<BR>";
              mysql_query ("UPDATE userdata SET phone1 = '$phone11' WHERE userid = '$namecookie'");
              $phone1 = $phone11;
          }
          if ($changephone2 != 0) { echo "Phone #2 Updated<BR>";
              mysql_query ("UPDATE userdata SET phone2 = '$phone21' WHERE userid = '$namecookie'");
              $phone2 = $phone21;
          }
          if ($changeemailaddress != 0) { echo "Email Address Updated<BR>";
              mysql_query ("UPDATE userdata SET emailaddress = '$emailaddress1' WHERE userid = '$namecookie'");
              $emailaddress = $emailaddress1;
          }
          echo "</center>";

          // Make the table displaying details of user
          echo "
          <table border='0' width='100%' id='table1' height='300'>
        <tr>
                <td width='331'>&nbsp;</td>
                <td width='147'><font face='Tahoma'>Username:</td>
                <td> <font face='Tahoma'>$nameuser </font></td>
        </tr>
        <tr>
                <td width='331'>&nbsp;</td>
                <td width='147'><font face='Tahoma'>Name:</td>
                <td> <font face='Tahoma'>$name </font></td>
        </tr>
        <tr>
                <td width='331'>&nbsp;</td>
                <td width='147'><font face='Tahoma'>Address:</td>
                <td> <font face='Tahoma'>$address </font></td>
        </tr>
        <tr>
                <td width='331'>&nbsp;</td>
                <td width='147'><font face='Tahoma'>Suburb/City:</td>
                <td> <font face='Tahoma'>$suburb </font></td>
        </tr>
        <tr>
                <td width='331'>&nbsp;</td>
                <td width='147'><font face='Tahoma'>State:</td>
                <td> <font face='Tahoma'>$state </font></td>
        </tr>
        <tr>
                <td width='331'>&nbsp;</td>
                <td width='147'><font face='Tahoma'>Postcode:</td>
                <td> <font face='Tahoma'>$postcode </font></td>
        </tr>
        <tr>
                <td width='331'>&nbsp;</td>
                <td width='147'><font face='Tahoma'>Phone #1:</td>
                <td> <font face='Tahoma'>$phone1 </font></td>
        </tr>
        <tr>
                <td width='331'>&nbsp;</td>
                <td width='147'><font face='Tahoma'>Phone #2:</td>
                <td> <font face='Tahoma'>$phone2 </font></td>
        </tr>
        <tr>
                <td width='331'>&nbsp;</td>
                <td width='147'><font face='Tahoma'>Email Address:</td>
                <td> <font face='Tahoma'>$emailaddress </font> </td>
        </tr>

        </table>";

     // If user and password are not correct print error message
     }
     else {
         echo "Incorrect username/password";
         exit;
     }
  }
?>

</html>